## org.eclipse.emf.ecore.xmi.impl
Class XMLHelperImpl.NamespaceSupport

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl.NamespaceSupport

Enclosing class:
  XMLHelperImpl

    protected static class XMLHelperImpl.NamespaceSupport

extends java.lang.Object

A helper to encode namespace prefix mappings.

Field Summary
`protected int[]` `context`
`protected int` `currentContext`
`protected java.lang.String[]` `namespace`
`protected int` `namespaceSize`
`protected java.lang.String[]` `prefixes`

Constructor Summary
`protected` `XMLHelperImpl.NamespaceSupport()`

Method Summary
`boolean` `declarePrefix(java.lang.String prefix, java.lang.String uri)`
`java.lang.String` `getDeclaredPrefixAt(int index)`
`int` `getDeclaredPrefixCount()`
`java.lang.String` `getPrefix(java.lang.String uri)`
`java.lang.String` `getURI(java.lang.String prefix)`
`void` `popContext()`
`void` `popContext(java.util.Map<java.lang.String,EFactory> prefixesToFactories)`
`void` `pushContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespace

    protected java.lang.String[] namespace

### namespaceSize

    protected int namespaceSize

### context

    protected int[] context

### currentContext

    protected int currentContext

### prefixes

    protected java.lang.String[] prefixes

Constructor Detail

### XMLHelperImpl.NamespaceSupport

    protected XMLHelperImpl.NamespaceSupport()

Method Detail

### pushContext

    public void pushContext()

### popContext

    public void popContext()

### popContext

    public void popContext(java.util.Map<java.lang.String,EFactory> prefixesToFactories)

### declarePrefix

    public boolean declarePrefix(java.lang.String prefix,
                                 java.lang.String uri)

  Parameters:
    `prefix` - prefix to declare
    `uri` - uri that maps to the prefix
  Returns:
    true if the prefix existed in the current context and its uri has been remapped; false if prefix does not exist in the current context

### getURI

    public java.lang.String getURI(java.lang.String prefix)

### getPrefix

    public java.lang.String getPrefix(java.lang.String uri)

### getDeclaredPrefixCount

    public int getDeclaredPrefixCount()

### getDeclaredPrefixAt

    public java.lang.String getDeclaredPrefixAt(int index)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.